// Landing Strut in normal position:
#declare Half_Sphere = 
        intersection {
                sphere { <0, 0, 0>, 1}
                plane { <0, -1, 0>, 0}
                bounded_by { box {<-1, 0, -1>, <1, 1, 1>}}
        }

#declare Strut = 
        union {
                cone {
                        <0, 0, 0>, 125,
                        <0, 25, 0>, 125
                }
                object {
                        Half_Sphere
                        scale 50
                        translate <0, 25, 0>
                }
                cone {
                        <0, 0, 0>, 50,
                        <0, 175, 0>, 50
                        translate <0, 50, 0>
                }
                cone {
                        <0, 0, 0>, 75,
                        <0, 250, 0>, 75
                        translate <0, 175, 0>
                }
                cone {
                        <0, 0, 0>, 100,
                        <0, 225, 0>, 100
                        translate <0, 375, 0>
                }
                object {
                        Half_Sphere
                        scale 100
                        translate <0, 600, 0>
                }
                texture {Ynkelonium_Texture}
        }
