#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "stones.inc"
#include "ynkelonium_texture.pov"

#declare Hull = 
difference {
        sphere { <0,0,0>, 1250
                texture {
                        Ynkelonium_Texture
                        pigment {
                            image_map {
                                gif "name.gif"
                                map_type 1
                            }
                            //rotate <0, 180, 0>
                        }
                }
        }
        sphere { <0, 0,0>, 1248 }
        translate <0, 1300, 0>
}


//#include "maindecks.pov"
//object {
//        Main_Decks
//}

#include "strut.pov"
#include "tfk.pov"
#include "hangar_1lk_2korv.pov"
#include "hangarshaft_1lk_2korv.pov"
#include "ring.pov"

#declare dgk = 
union {
        object {
                Hull
        }
        #include "struts.pov"
        #include "guns.pov"
        #include "hangars.pov"
        object { Ring }
}

